LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSetSpellAlternatives Interface Reference

allows to modify the suggestion list returned by a spell checker. More...

`import"XSetSpellAlternatives.idl";`

Inheritance diagram for XSetSpellAlternatives:

## Public Member Functions
void | setAlternatives ([in] sequence< string > aAlternatives)
| set the list of suggestions to be returned. More...
void | setFailureType ([in] short nFailureType)
| set the type of error found. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to modify the suggestion list returned by a spell checker.

Basically this is needed to post-add further suggestions while keeping the originally returned reference from the spell checker. E.g. from the user dictionaries.

See also
  com::sun::star::linguistic2::XSpellAlternatives

## Member Function Documentation

## ◆ setAlternatives()

void setAlternatives | ( | [in] sequence< string > | aAlternatives | ) |

set the list of suggestions to be returned.

Since
  OOo 3.0.1

## ◆ setFailureType()

void setFailureType | ( | [in] short | nFailureType | ) |

set the type of error found.

See also
  com::sun::star::linguistic2::SpellFailure

Since
  OOo 3.0.1

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSetSpellAlternatives.idl